Home
Home
  1. πŸ“‘ Endpoints
  • πŸš€ Getting Started
  • πŸ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • πŸ“‘ Endpoints
      • Blockchain Analysis
        POST
      • Individuals Analysis
        POST
      • Organizations Analysis
        POST
      • Screening Entities Summary Analysis
        POST
      • Create BlackList
        POST
      • Get All BlackList Records
        GET
      • Get Blacklist Record by ID
        GET
      • Delete Blacklist Record by ID
        DELETE
      • Update Blacklist Record by ID
        PATCH
      • Update Blacklist Settings Account
        PATCH
  • 🌊 Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • πŸ“‘ Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • πŸ“€ Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • πŸ’ΈTransaction Screening API
    • πŸ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • πŸ“€ Webhooks
    • πŸ“‘ Endpoints
      • Submit Transaction
      • List Transactions
      • List Document types
      • List Cryptocurrencies
      • Register remitter
      • Register Beneficiary
  • πŸ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. πŸ“‘ Endpoints

Organizations Analysis

POST
https://app.rillis.io/api/v1/screening/entities/organizations
Screen a legal entity by name and country. The response includes matched entities, risk levels, and links to full profiles detailing ownership, sanctions, and regulatory concerns.

Request

Body Params application/json

Examples

Responses

🟒200Success
application/json
Body

🟠400Bad Request
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://app.rillis.io/api/v1/screening/entities/organizations' \
--header 'Content-Type: application/json' \
--data-raw '{
  "client_id": "1MpwlwE11dHixJpB8Ksy0sfVON1019EbqRb0+LvSxxx=",
  "client_secret": "ee592d0c880795f14308084088381150f0862a1dce12cf9cea60345ca3671083c708363cc4296a3451afb097b38xxx",
  "full_name": "Acme International LLC",
  "registered_country": "USA",
  "issuer_country": "GBR",
  "identification_type": "GB-CH",
  "identification_number": "US987654321"
}'
Response Response Example
200 - Success LOW
{
    "coincidences": false,
    "id_origin": null,
    "type_origin": "NONE",
    "id_field_type_in_object": null,
    "field_type_in_object": "NONE",
    "case_id": "case-314988756404",
    "risk_level": "LOW",
    "rejection_reasons": null,
    "rejected_at": null,
    "analyzed_at": 1761331499117,
    "blacklistMatches": [],
    "deceasedListMatches": [],
    "transaction": "null",
    "note": null,
    "chl_court": null,
    "request_at": 1761331499117,
    "id": "68fbc92bc23d3e2f7a4ffc41",
    "request": {
        "vesselCheckOngoingMonitoringAtInitial": false,
        "mediaCheckOngoingScreeningAtInitial": false,
        "groupId": "5jb6ycced57b1fu38v5r9nuue",
        "entityTypes": [
            "ORGANISATION"
        ],
        "providerTypes": [
            "WATCHLIST"
        ],
        "clientCaseId": "",
        "nameTransposition": false,
        "caseScreeningState": "INITIAL",
        "names": [
            {
                "typeId": "PRIMARY",
                "value": "Washington Trading"
            }
        ],
        "secondaryFields": [
            {
                "typeId": "SFCT_1",
                "value": "UNSPECIFIED"
            },
            {
                "typeId": "SFCT_192",
                "value": "VEN"
            }
        ]
    },
    "response": []
}
Modified atΒ 2026-01-08 14:58:19
Previous
Individuals Analysis
Next
Screening Entities Summary Analysis
Built with